proc setButtonStatus { formhandle status } {
$formhandle setStatus $status
}
proc getLicenceAgreement { } {
global agreement
set language [GuidoMessage "language"]
if {$language == "" || $language == "default"}  {
set language "english"
}
set filename "alphaBeta-$language.html"
set value [GuidoResource get $filename]
if {$value == ""} {
set filename "alphaBeta-english.html"
set value [GuidoResource get $filename]
}
$agreement setCurrentValue $value
}
GuidoForm frm99999 {
-add_button default_apply "Accept"
-add_button default_cancel "Reject"
-label "GEOVIA"
-layout BoxLayout Y_AXIS
-action initial {[getLicenceAgreement]}
GuidoPanel frm99999_98 {
-layout CentreLineLayout
GuidoFiller frm99999_97 {}
GuidoPanel scroll_1 {
-layout BoxLayout Y_AXIS
GuidoPanel scroll_1_top {
GuidoLabel frm99999_2 {
-font_style bold
-label GEOVIA_ALPHA_BETA_TITLE_1
}
}
GuidoPanel scroll_1_top {
GuidoLabel frm99999_3 {
-font_style bold
-label GEOVIA_ALPHA_BETA_TITLE_2
}
}
GuidoScrollPane frm99999_89 {
-height 25
-width 60
GuidoHTMLPane agreement {
}
}
}
}
}
